跳转到主要内容
GET
/
payment
/
open
/
institution
/
v1
/
pay
/
address
/
currencies
查询支持币种列表
curl --request GET \
  --url https://openplatform.gateapi.io/payment/open/institution/v1/pay/address/currencies \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'
{
  "code": "000000",
  "data": {
    "currencies": [
      "USD",
      "USDT",
      "BTC",
      "ETH",
      "EOS",
      "LTC",
      "BCH",
      "XRP",
      "ZEC",
      "ADA",
      "GT",
      "BNB",
      "DOGE",
      "DOT",
      "SHIB",
      "UNI",
      "FIL",
      "STEPG",
      "SUPE",
      "LION",
      "FROG",
      "WMHH"
    ]
  },
  "errorMessage": "",
  "status": "SUCCESS"
}

Documentation Index

Fetch the complete documentation index at: https://docs.gate.com/llms.txt

Use this file to discover all available pages before exploring further.

概述

本页说明 GET /payment/open/institution/v1/pay/address/currencies 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。 查询Gate地址支付支持的所有币种列表

说明

  • 认证方式使用 GatePay 标准签名请求头。
  • 本页展示同一接口的机构路径版本。
  • 除创建子账户、查询子账户详情、分页查询子账户外,机构侧请求需携带 X-GatePay-On-Behalf-Of
  • 通用签名规则请参见 /api-reference/version/100/cn/common/securityAndSignature

请求头

X-GatePay-Certificate-ClientId
string
必填

商户客户端ID

示例:

"4186d0c6-6a35-55a9-8dc6-5312769dbff8"

X-GatePay-Signature
string
必填

签名

示例:

"672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8"

X-GatePay-Timestamp
string
必填

时间戳(毫秒)

示例:

"1672905655498"

X-GatePay-Nonce
string
必填

随机数

示例:

"9578"

X-GatePay-On-Behalf-Of
string
必填

必填代理归属请求头。请填写本次请求的发起方账户 ID;在机构代理商户 API 中通常填写目标子账户 ID,在机构代扣与划转接口中可填写机构账户 ID 或子账户 ID。

响应

200 - application/json

成功响应

currencies
string[]

支持的支付币种列表